### Hierarchy

- unknown
  - MediatedPayoutTxPublishedMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getPayoutTx
- getPayoutTx_asB64
- getPayoutTx_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setPayoutTx
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MediatedPayoutTxPublishedMessage(): MediatedPayoutTxPublishedMessage

- Inherited from jspb.Message.constructor

  #### Returns MediatedPayoutTxPublishedMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1965

  #### Returns MediatedPayoutTxPublishedMessage

### getPayoutTx

- getPayoutTx(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1957

  #### Returns string | Uint8Array

### getPayoutTx_asB64

- getPayoutTx_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1959

  #### Returns string

### getPayoutTx_asU8

- getPayoutTx_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1958

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1962

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1954

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1967

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1964

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1970

  #### Returns Uint8Array

### setPayoutTx

- setPayoutTx(value: string | Uint8Array): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1960

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MediatedPayoutTxPublishedMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1963

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns MediatedPayoutTxPublishedMessage

### setTradeId

- setTradeId(value: string): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1955

  #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxPublishedMessage

### setUid

- setUid(value: string): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1968

  #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxPublishedMessage

### toObject

- toObject(includeInstance?: boolean): MediatedPayoutTxPublishedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1971

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MediatedPayoutTxPublishedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1974

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediatedPayoutTxPublishedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediatedPayoutTxPublishedMessage, reader: BinaryReader): MediatedPayoutTxPublishedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1975

  #### Parameters

  - ##### message: MediatedPayoutTxPublishedMessage

  - ##### reader: BinaryReader

  #### Returns MediatedPayoutTxPublishedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MediatedPayoutTxPublishedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1973

  #### Parameters

  - ##### message: MediatedPayoutTxPublishedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MediatedPayoutTxPublishedMessage ): MediatedPayoutTxPublishedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1972

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediatedPayoutTxPublishedMessage

  #### Returns MediatedPayoutTxPublishedMessage . AsObject

Generated using TypeDoc